Get bucket
curl --request GET \
--url https://api.example.com/api/s3/buckets/{bucket_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/s3/buckets/{bucket_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/s3/buckets/{bucket_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket": "<string>",
"endpoint": "<string>",
"accesskey": "<string>",
"secretkey": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Object storage
Get bucket
Retrieve the details for a specific S3 bucket.
GET
/
api
/
s3
/
buckets
/
{bucket_name}
Get bucket
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique name of the S3 bucket to retrieve.
Response
S3 bucket retrieved successfully.
The unique name of the S3 bucket.
The endpoint URL used to connect to the S3 bucket.
The access key used for authentication.
The secret key used for authentication.
Unique ID for the bucket.
S3 bucket record creation timestamp.
Timestamp when the bucket record was last updated.
Was this page helpful?
⌘I

